aboutsummaryrefslogtreecommitdiffstats
path: root/ci/build_docker_image.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/build_docker_image.sh')
-rw-r--r--ci/build_docker_image.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/ci/build_docker_image.sh b/ci/build_docker_image.sh
index 7b6b546..3c9f2f2 100644
--- a/ci/build_docker_image.sh
+++ b/ci/build_docker_image.sh
@@ -24,11 +24,11 @@ if [[ ${NAME} && ${VERSION} && ${DIR} ]]; then
echo "begin to build image ${NAME}.."
docker build --no-cache -t ${NAME}:${VERSION} . >/dev/null || { echo -e "\nBuild docker image failed!";exit 1; }
docker rmi $(docker images | grep "^<none>" | awk '{print $3}') &>/dev/null
- docker save -o ${NAME}.tar ${NAME}:${VERSION} >/dev/null || { rm -f ${NAME}.tar &>/dev/null;echo -e "\nSave docker image failed!";exit 1; }
- if [ ! -d ${DIR} ]; then
- mkdir -p ${DIR}
- fi
- mv ${NAME}.tar ${DIR}/${NAME}.tar &>/dev/null
+ # docker save -o ${NAME}.tar ${NAME}:${VERSION} >/dev/null || { rm -f ${NAME}.tar &>/dev/null;echo -e "\nSave docker image failed!";exit 1; }
+ # if [ ! -d ${DIR} ]; then
+ # mkdir -p ${DIR}
+ # fi
+ # mv ${NAME}.tar ${DIR}/${NAME}.tar &>/dev/null
echo "build completes!"
else
echo "not all -n and -v and -d are provided!"